Subject: Re: Starlink --- "simpler than IPv6"

From: "Templin (US), Fred L" <[email-masked]>
Date: Mon, 19 Oct 2020 16:26:25 +0000

Alex, thanks for the good reminder about Iridium. Iridium did provide input to the
ICAO discussions that "Iridium NEXT" will be an IPv4-only service. We determined
that we could accommodate IPv6 end system communications over their service
using IPv6-in-IPv4 encapsulation ala' RFC5214 or possibly even RFC2529. But, we
would not use the RFC5214 LLA format - we would use OMNI LLA format instead.
IPv6/IPv4 translation could also play a role in the data plane....

Thanks - Fred

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Alexandre Petrescu
> Sent: Monday, October 19, 2020 9:09 AM
> To: [email-masked]
> Subject: [EXTERNAL] Re: Starlink --- "simpler than IPv6"
> 
> This message was sent from outside of Boeing. Please do not click links or open attachments unless you recognize the sender and
> know that the content is safe.
> 
> 
> 'Simpler than IPv6' might mean a smaller and easier to use device than
> the bigger core routers which currently are known to run IPv6 natively.
> 
> I doubt though that the Starlink service will be on IPv6.  That service
> might be NATted IPv4, or maybe no IP at all - a network layer-less
> application-specific protocol, maybe http over satellite.
> 
> When Starlink service comes up it wont be in a vacuum.  At least Iridium
> upgraded their services continuously, up to a point that nowadays one
> can buy easily a cheap device with subscription comparable to ADSL, that
> offers DHCP on WiFi on one hand, and Iridium on another hand gatewayed
> down to the Internet.  An Iridium consumer-oriented chip is not bigger
> than a typical 4G chip for the same service.  It is 'simpler',
> 'cheaper', 'smaller'.
> 
> I remember also Toyota talked about a potential own satellite
> constellation for their cars, and even went far with the novel Kismeta
> antenna design for future cars.  I dont know where that constellation
> plans are now.
> 
> But I really dont know how the Starlink service is designed and whether
> IPv6 has a place in it or no.  Let's see(?)
> 
> Alex
> 
> 
> Le 19/10/2020 à 17:13, Behcet Sarikaya a écrit :
> > Thanks Michael, I'd like to know as much as possible how IPv6 works in
> > Starlink.
> >
> > Behcet
> >
> > On Fri, Oct 16, 2020 at 3:47 PM Michael Richardson <[email-masked]
> > <mailto:[email-masked]>> wrote:
> >
> >     Anyone read anything more specific about what Starlink is doing that is
> >     "simpler than IPv6"?
> >
> >     I'd sure like to know that it permits end-terminal to end-terminal
> >     communicatons without a trip through a data center.
> >
> >     --
> >     ]               Never tell me the odds!                 | ipv6 mesh
> >     networks [
> >     ]   Michael Richardson, Sandelman Software Works        |    IoT
> >     architect   [
> >     ] [email-masked] <mailto:[email-masked]>
> >     http://www.sandelman.ca/ <http://www.sandelman.ca/>        |   ruby
> >     on rails    [
> >
> >
> >
> >
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
> >
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Mon, 19 Oct 2020 17:03:19 +0000

BTW, in addition to Iridium NEXT and Starlink there are other possible new
developments in LEO satellite constellations - OneWeb is another example,
and there may be others.

Fred

> From: ipv6 [mailto:[email-masked]] On Behalf Of Templin (US), Fred L
> Sent: Monday, October 19, 2020 9:26 AM
> To: Alexandre Petrescu <[email-masked]>; [email-masked]
> Subject: Re: Starlink --- "simpler than IPv6"
>